h04422
s 00001/00001/00055
d D 1.2 83/02/25 14:04:10 mjb 2 1
c 
e
s 00056/00000/00000
d D 1.1 83/01/20 11:13:54 tes 1 0
c date and time created 83/01/20 11:13:54 by tes
e
u
tes
mjb
U
t
T
I 1
subroutine putnum (item, start, end)
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Enumerate pie edit and graph edit menus                #
#                                                                      #
#     Input Parameters:                                                #
#            item - (integer) item in data buffer to key off of        #
#                                                                      #
#     Output Parameters:                                               #
#            none                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            qtext - output text to screen                             #
#                                                                      #
########################################################################
integer item, start, end

SHORTINT string(3), blanks(3)
integer row, column, kount, i, length, kol, iend

include(`mnucom')

data blanks /BLANK, BLANK, NUL/
data string /NUL,NUL,NUL/

   i = 1
   kount = 1
   while (dtabfr(i) != 0) {
      row = dtabfr(i+1)
      column = dtabfr(i+2)
      length = dtabfr(i+3)
      if (kount >= item) break
      i = i + dtabfr(i)
      kount = kount + 1
      }

D 2
   column = column - 5
E 2
I 2
   column = column - 4
E 2
   kol = column
   do i = start, end {
      if (i > 9) kol = column - 1
      call itok (i, 1, string, iend)
      call qtext (row, column-1, blanks)
      call qtext (row, kol, string)
      row = row + 1
      }
	
return
end
E 1
